import { axios } from '@/utils/request'

// 核销记录列表
export const getVerificationRecordsList = (params) => {
  const url = `/verification/queryLikeByChannel/${params.pageNo}/${params.pageSize}`
  delete params.pageNo
  delete params.pageSize
  return axios({
    url: url,
    data: params,
    method: 'post'
  })
}

// 合计
export const getVerificationRecordsListTotal = params => {
  const url = '/verification/export'
  return axios({
    url: url,
    data: params,
    method: 'post'
  })
}

// 导出
export const settlementRecordsExport = params => {
  const url = `/verification/export`
  return axios.request({
    url: url,
    data: params,
    method: 'post'
  }).then(res => res.data)
}
