import { axios } from '@/utils/request'

//  已购套餐 列表
export const listCustomerBundle = params => {
  const url = `customerBundle/queryLike/${params.pageNo}/${params.pageSize}`
  delete params.pageNo
  delete params.pageSize
  return axios.request({
    url: url,
    data: params,
    method: 'post'
  }).then(res => res)
}

export const customerBundleDetail = (params) => {
  return axios.request({
    url: `customerBundle/detail/${params.id}`,
    method: 'get'
  }).then(res => res.data)
}

export const customerBundleHistory = (params) => {
  return axios.request({
    url: `customerBundle/useHistory/${params.id}`,
    method: 'get'
  }).then(res => res.data)
}

// 取消购买套餐
export const cancelBuy = (params) => {
  return axios.request({
    url: `customerBundle/cancel/${params.id}`,
    method: 'get'
  }).then(res => res.data)
}
